summaryrefslogtreecommitdiff
path: root/tests/test-spawn-pipe.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/test-spawn-pipe.sh')
-rwxr-xr-xtests/test-spawn-pipe.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/tests/test-spawn-pipe.sh b/tests/test-spawn-pipe.sh
new file mode 100755
index 0000000..676026c
--- /dev/null
+++ b/tests/test-spawn-pipe.sh
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+st=0
+for i in 0 1 2 3 4 5 6 7 ; do
+ ./test-spawn-pipe-main${EXEEXT} ./test-spawn-pipe-child${EXEEXT} $i \
+ || { echo test-spawn-pipe.sh: iteration $i failed >&2; st=1; }
+done
+exit $st